Package com.avaya.clientservices.provider.certificate

## Class CertificateValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.avaya.clientservices.provider.certificate.CertificateValidationException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CertificateValidationException
      extends java.lang.Exception

  Certificate validation exception represents a overall certificate trust validation result containing details of why `CertificateManager.validateCertificates(java.security.cert.X509Certificate[], CertificateValidationCompletionHandler)`, `CertificateManager.validateCertificates(java.security.cert.X509Certificate[], String, String, int, CertificateValidationCompletionHandler)` failed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CertificateValidationException​(CertificateValidationResult result)` | Creates a new instance of CertificateValidationException containing the certificate validation result.
    `CertificateValidationException​(CertificateValidationResult result, java.lang.String errorMessage)` | Creates a new instance of CertificateValidationException containing the certificate validation result and error description.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CertificateValidationResult` | `getValidationResult()` | Returns the stored certificate validation result.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateValidationException

          public CertificateValidationException​(CertificateValidationResult result)

      Creates a new instance of CertificateValidationException containing the certificate validation result.
      Parameters:
        `result` - Certificate trust validation result.

    - #### CertificateValidationException

          public CertificateValidationException​(CertificateValidationResult result,
                                                java.lang.String errorMessage)

      Creates a new instance of CertificateValidationException containing the certificate validation result and error description.
      Parameters:
        `result` - Certificate validation result.
        `errorMessage` - Error description.

  - ### Method Detail

    - #### getValidationResult

          public CertificateValidationResult getValidationResult()

      Returns the stored certificate validation result.
      Returns:
        Certificate validation result.